Error
A valid request URL is required to generate request examples{
"docs": [
{
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "user"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snippet": {
"index": 123,
"content": "<string>",
"embedding": [
123
]
},
"metadata": {},
"title": "<string>",
"distance": 123
}
],
"time": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}docs
Search Agent Docs
Searches for documents associated with a specific agent.
Parameters: x_developer_id (UUID): The unique identifier of the developer associated with the agent. search_params (TextOnlyDocSearchRequest | VectorDocSearchRequest | HybridDocSearchRequest): The parameters for the search. agent_id (UUID): The umnique identifier of the agent associated with the documents. Returns: DocSearchResponse: The search results.
POST
/
agents
/
{agent_id}
/
search
Error
A valid request URL is required to generate request examples{
"docs": [
{
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "user"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snippet": {
"index": 123,
"content": "<string>",
"embedding": [
123
]
},
"metadata": {},
"title": "<string>",
"distance": 123
}
],
"time": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Query Parameters
Body
application/json
- TextOnlyDocSearchRequest
- VectorDocSearchRequest
- HybridDocSearchRequest
⌘I